## org.hibernate.metamodel.source.internal
Class SessionFactoryBuilderImpl

    java.lang.Object
      org.hibernate.metamodel.source.internal.SessionFactoryBuilderImpl

All Implemented Interfaces:
  SessionFactoryBuilder

    public class SessionFactoryBuilderImpl

extends Object
implements SessionFactoryBuilder

Method Summary
`SessionFactory` `buildSessionFactory()`
`SessionFactoryBuilder` `with(EntityNotFoundDelegate entityNotFoundDelegate)`
`SessionFactoryBuilder` `with(Interceptor interceptor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### with

    public SessionFactoryBuilder with(Interceptor interceptor)

  Specified by:
    `with` in interface `SessionFactoryBuilder`

### with

    public SessionFactoryBuilder with(EntityNotFoundDelegate entityNotFoundDelegate)

  Specified by:
    `with` in interface `SessionFactoryBuilder`

### buildSessionFactory

    public SessionFactory buildSessionFactory()

  Specified by:
    `buildSessionFactory` in interface `SessionFactoryBuilder`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.